libetonyek::IWORKPropertyContext< Property, Context, TokenId, TokenId2 > Class Template Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKPropertyContext< Property, Context, TokenId, TokenId2 > Class Template Reference

`#include <IWORKPropertyContext.h>`

Inheritance diagram for libetonyek::IWORKPropertyContext< Property, Context, TokenId, TokenId2 >:

## Public Member Functions
| IWORKPropertyContext (IWORKXMLParserState &state, IWORKPropertyMap &propMap)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
Public Member Functions inherited from libetonyek::IWORKXMLContext
virtual | ~IWORKXMLContext ()=0
virtual void | CDATA (const char *value)
| Process CDATA content of an element.

## Private Member Functions
IWORKXMLContextPtr_t | element (int name) override
| Create a context for parsing a child element.
void | endOfElement () override
| Signalize the end of an element.

## Private Attributes
boost::optional< typename IWORKPropertyInfo< Property >::ValueType > | m_value

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKPropertyContextBase
| IWORKPropertyContextBase (IWORKXMLParserState &state, IWORKPropertyMap &propMap)
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextElement
| IWORKXMLContextElement (IWORKXMLParserState &)
void | attribute (int name, const char *value) override
| Process an attribute.
void | text (const char *value) override
| Process textual content of an element.
const boost::optional< ID_t > & | getId () const
void | setId (const char *value)
Protected Member Functions inherited from libetonyek::IWORKXMLContextMinimal
| IWORKXMLContextMinimal ()
void | startOfElement () override
| Signalize the start of an element.
void | endOfElement () override
| Signalize the end of an element.
Protected Attributes inherited from libetonyek::IWORKPropertyContextBase
IWORKPropertyMap & | m_propMap
bool | m_default
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKXMLParserState & | m_state
IWORKXMLParserState & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKPropertyContext()

template<typename Property, typename Context, int TokenId, int TokenId2>

libetonyek::IWORKPropertyContext< Property, Context, TokenId, TokenId2 >::IWORKPropertyContext | ( | IWORKXMLParserState & | state,
|  | IWORKPropertyMap & | propMap )

## Member Function Documentation

## ◆ element()

template<typename Property, typename Context, int TokenId, int TokenId2>

IWORKXMLContextPtr_t libetonyek::IWORKPropertyContext< Property, Context, TokenId, TokenId2 >::element | ( | int | name | ) |
| overrideprivatevirtual

Create a context for parsing a child element.

Returns
  A new context or an empty pointer if the child element cannot be handled.

Implements libetonyek::IWORKXMLContext.

## ◆ endOfElement()

template<typename Property, typename Context, int TokenId, int TokenId2>

void libetonyek::IWORKPropertyContext< Property, Context, TokenId, TokenId2 >::endOfElement | ( |  | ) |
| overrideprivatevirtual

Signalize the end of an element.

Implements libetonyek::IWORKXMLContext.

## Member Data Documentation

## ◆ m_value

template<typename Property, typename Context, int TokenId, int TokenId2 = 0>

boost::optional<typename IWORKPropertyInfo<Property>::ValueType> libetonyek::IWORKPropertyContext< Property, Context, TokenId, TokenId2 >::m_value
| private

Referenced by element(), endOfElement(), and IWORKPropertyContext().

The documentation for this class was generated from the following file:

- IWORKPropertyContext.h